Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.describeprocess
Class LiteralInput

    java.lang.Object
      org.deegree.ogcwebservices.wps.describeprocess.LiteralOutput
          org.deegree.ogcwebservices.wps.describeprocess.LiteralInput

    public class LiteralInput

extends LiteralOutput

LiteralInput.java Created on 09.03.2006. 22:57:28h Description of a process input that consists of a simple literal value (e.g., "2.1"). (Informative: This type is a subset of the ows:UnNamedDomainType defined in owsDomaintype.xsd.)

Version:
  $Revision: 18195 $, $Date:20.03.2007$
Author:
  Christian Kiehle, Christian Heier, last edited by: $Author:wanhoff$

Field Summary
`protected OWSAllowedValues` | `allowedValues` Indicates that there are a finite set of values and ranges allowed for this input, and contains list of all the valid values and/or ranges of values.
`protected boolean` | `anyValueAllowed` Indicates that any value is allowed for this input.
`protected ValueRange` | `defaultValue` Optional default value for this quantity, which should be included when this quantity has a default value.
`protected OWSMetadata` | `valuesReference` Indicates that there are a finite set of values and ranges allowed for this input, which are specified in the referenced list.

Fields inherited from class org.deegree.ogcwebservices.wps.describeprocess.LiteralOutput
`dataType, supportedUOMs`

Constructor Summary
`LiteralInput(OWSMetadata domainMetadataType, SupportedUOMs supportedUOMsType, OWSAllowedValues allowedValues, boolean anyValueAllowed, ValueRange defaultValue, OWSMetadata valuesReference)`

Method Summary
`OWSAllowedValues` | `getAllowedValues()`
`boolean` | `getAnyValue()`
`ValueRange` | `getDefaultValue()`
`OWSMetadata` | `getValuesReference()`
`void` | `setAllowedValues(OWSAllowedValues value)`
`void` | `setAnyValue(boolean anyValueAllowed)`
`void` | `setDefaultValue(ValueRange value)`
`void` | `setValuesReference(OWSMetadata value)`

Methods inherited from class org.deegree.ogcwebservices.wps.describeprocess.LiteralOutput
`getDataType, getSupportedUOMs, setDataType, setSupportedUOMs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### allowedValues

    protected OWSAllowedValues allowedValues

  Indicates that there are a finite set of values and ranges allowed for this input, and contains list of all the valid values and/or ranges of values. Notice that these values and ranges can be displayed to a human client.

### anyValueAllowed

    protected boolean anyValueAllowed

  Indicates that any value is allowed for this input. This element shall be included when there are no restrictions, except for data type, on the allowable value of this input.

### valuesReference

    protected OWSMetadata valuesReference

  Indicates that there are a finite set of values and ranges allowed for this input, which are specified in the referenced list.

### defaultValue

    protected ValueRange defaultValue

  Optional default value for this quantity, which should be included when this quantity has a default value.

Constructor Detail

### LiteralInput

    public LiteralInput(OWSMetadata domainMetadataType,
                        SupportedUOMs supportedUOMsType,
                        OWSAllowedValues allowedValues,
                        boolean anyValueAllowed,
                        ValueRange defaultValue,
                        OWSMetadata valuesReference)

Parameters:
  `domainMetadataType` -
  `supportedUOMsType` -
  `allowedValues` -
  `anyValueAllowed` -
  `defaultValue` -
  `valuesReference` -

Method Detail

### getAllowedValues

    public OWSAllowedValues getAllowedValues()

  Returns:
    Returns the allowedValues.

### setAllowedValues

    public void setAllowedValues(OWSAllowedValues value)

  Parameters:
    `value` - The allowedValues to set.

### getAnyValue

    public boolean getAnyValue()

  Returns:
    the anyValue.

### setAnyValue

    public void setAnyValue(boolean anyValueAllowed)

  Parameters:
    `anyValueAllowed` -

### getValuesReference

    public OWSMetadata getValuesReference()

  Returns:
    the valuesReference.

### setValuesReference

    public void setValuesReference(OWSMetadata value)

  Parameters:
    `value` - The valuesReference to set.

### getDefaultValue

    public ValueRange getDefaultValue()

  Returns:
    Returns the defaultValue.

### setDefaultValue

    public void setDefaultValue(ValueRange value)

  Parameters:
    `value` - The defaultValue to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org